%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticdevelname %mklibname %{name} -d -s

Summary:	Library to support Bi-directional scripts
Name:		fribidi
Version:	0.19.6
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Internationalization
Source: 	http://fribidi.org/download/fribidi-%{version}.tar.bz2
Patch0:		fribidi-0.19.1-fix-str-fmt.patch
URL:		http://fribidi.org

%description
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n %{libname}
Summary:	Library to support Bi-directional scripts
Group:		System/Internationalization
Requires:	%{name} = %{version}

%description -n %{libname}
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n %{develname}
Summary:	Libraries and headers for development with %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d

%description -n %{develname}
This package includes the libraries and header files for the %{name}
package.

Install this package if you want to develop or compile programs which
will use %{name}.

%package -n %{staticdevelname}
Summary:	Static development files for %{name}
Group:		Development/C
Provides:	lib%{name}-static-devel = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d -s

%description -n %{staticdevelname}
Static development files for %{name}.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --enable-static
%make

%check
make check

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc README AUTHORS ChangeLog TODO THANKS NEWS
%{_bindir}/fribidi

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%_mandir/man3/*

%files -n %{staticdevelname}
%{_libdir}/*.a


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.19.6-3.mga5
+ Revision: 750711
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.19.6-2.mga5
+ Revision: 679359
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 luigiwalser <luigiwalser> 0.19.6-1.mga4
+ Revision: 559712
- 0.9.16

* Fri Oct 18 2013 umeabot <umeabot> 0.19.5-3.mga4
+ Revision: 504649
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.19.5-2.mga3
+ Revision: 350962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 luigiwalser <luigiwalser> 0.19.5-1.mga3
+ Revision: 338955
- 0.19.5

* Wed Sep 12 2012 fwang <fwang> 0.19.4-1.mga3
+ Revision: 292497
- new version 0.19.4

* Sat Dec 10 2011 fwang <fwang> 0.19.2-5.mga2
+ Revision: 180235
- drop .la file

* Sun Jan 16 2011 ahmad <ahmad> 0.19.2-4.mga1
+ Revision: 19913
- drop old/unneeded scriptlets
- imported package fribidi


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19.2-3mdv2011.0
+ Revision: 605217
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19.2-2mdv2010.1
+ Revision: 520110
- rebuilt for 2010.1

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 0.19.2-1mdv2010.0
+ Revision: 368977
- new version

* Sat Mar 07 2009 Funda Wang <fwang@mandriva.org> 0.19.1-2mdv2009.1
+ Revision: 351666
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 0.19.1-1mdv2009.0
+ Revision: 279720
- new version
- add man pages
- remove fribidi-config

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.10.9-2mdv2009.0
+ Revision: 221005
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.9-1mdv2008.1
+ Revision: 139598
- new version
- enable checks
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 21 2007 Funda Wang <fwang@mandriva.org> 0.10.8-2mdv2008.0
+ Revision: 54120
- fix static devel requires

* Sat Jul 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.8-1mdv2008.0
+ Revision: 52080
- disable checks
- new devel library policy
- forgot to add asource :(
- new version

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.10.7-1mdv2008.0
+ Revision: 27699
- Updated to 0.10.7.
- Updated URL field.
- Added static-devel subpackage.
- Minor cleanups.


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.10.4-6mdv2007.0
+ Revision: 108938
- Import fribidi

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.10.4-6mdv2007.1
- rebuild

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.10.4-6mdk
- Rebuild

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 0.10.4-5mdk
- multiarch

